=== debian/changelog ===
timg (1.4.2-2) unstable; urgency=medium

  * No-change source-only upload.

 -- Tobias Frost <tobi@debian.org>  Sat, 12 Jun 2021 14:28:53 +0200

timg (1.4.2-1) unstable; urgency=medium

  * Initial release (Closes: #982087)

 -- Tobias Frost <tobi@debian.org>  Thu, 29 Apr 2021 22:24:15 +0200
