=== debian/control ===
Source: timg
Section: graphics
Priority: optional
Maintainer: Tobias Frost <tobi@debian.org>
Build-Depends: cmake (>= 3.10),
               debhelper-compat (= 13),
               libavdevice-dev,
               libexif-dev,
               libgraphicsmagick++-dev,
               libopenslide-dev,
               libpng-dev,
               libswscale-dev,
               libturbojpeg-dev,
               pandoc,
               pkg-config
Standards-Version: 4.5.1
Homepage: https://github.com/hzeller/timg
Vcs-Browser: https://salsa.debian.org/debian/timg
Vcs-Git: https://salsa.debian.org/debian/timg.git
Rules-Requires-Root: no

Package: timg
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: terminal image and video viewer
 A user-friendly viewer that uses 24-Bit color capabilities and unicode
 character blocks to display images, animations and videos in the terminal.
 .
 On terminals that implement the Kitty Graphics Protocol or the iTerm2 Graphics
 Protocol this displays images in full resolution.
 .
 Useful if you want to have a quick visual check without leaving the comfort of
 your shell and having to start a bulky image viewer. Sometimes this is the only
 way if your terminal is connected remotely via ssh. And of course if you don't
 need the resolution. While icons typically fit pixel-perfect, larger images are
 scaled down to match the resolution.
 .
 The command line accepts any number of image/video filenames that it shows in
 sequence one per page or in a grid in multiple columns, depending on your
 choice of --grid. The output is emitted in-line with minimally messing with
 your terminal, so you can simply go back in history using your terminals'
 scroll-bar (Or redirecting the output to a file allows you to later simply cat
 that file to your terminal. Even less -R seems to be happy with it).
