=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DTIMG_VERSION_FROM_GIT=Off \
		-DDISTRIBUTION_VERSION="(Debian package $(DEB_VERSION))"

override_dh_installdocs:
	dh_installdocs -XREADME.images.txt
