=== debian/changelog ===
timg (1.4.3-1) unstable; urgency=medium

  [ Tobias Frost ]
  * New upstream version 1.4.3
  * Enable OpenSlide support.
  * Update d/copyright.
  * Remove (invalid) homepage field from d/upstream/metadata.

  [ Debian Janitor ]
  * Bump S-V to 4.6.0 -- no changes required.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake.

 -- Tobias Frost <tobi@debian.org>  Fri, 28 Jan 2022 15:56:10 +0100
