=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Tobias Frost <tobi@debian.org>
-Build-Depends: cmake (>= 3.10),
+Build-Depends: cmake,
                debhelper-compat (= 13),
                libavdevice-dev,
                libexif-dev,
@@ -13,7 +13,7 @@
                libturbojpeg-dev,
                pandoc,
                pkg-config
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/hzeller/timg
 Vcs-Browser: https://salsa.debian.org/debian/timg
 Vcs-Git: https://salsa.debian.org/debian/timg.git
