=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%timg-$1.tar.gz%" \
   https://github.com/hzeller/timg/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
