=== debian/changelog ===
timg (1.4.4-1build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 13:09:19 +0000

timg (1.4.4-1) unstable; urgency=medium

  * New upstream release.
    - Closes: #1004804, as this version works with ffmpeg 5.0.

 -- Tobias Frost <tobi@debian.org>  Sun, 27 Mar 2022 12:04:25 +0200
