=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: timg
 Section: graphics
 Priority: optional
-Maintainer: Tobias Frost <tobi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tobias Frost <tobi@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libavdevice-dev,
