=== src/CMakeLists.txt ===
--- 
+++ 
@@ -81,6 +81,14 @@
   target_compile_definitions(timg PUBLIC WITH_TIMG_STB)
 endif()
 
+if(WITH_QOI_IMAGE)
+  target_sources(timg PUBLIC qoi-image-source.h qoi-image-source.cc)
+  target_compile_definitions(timg PUBLIC WITH_TIMG_QOI)
+  target_link_libraries(timg
+    PkgConfig::AVUTIL
+    PkgConfig::SWSCALE)
+endif()
+
 install(TARGETS timg
   RUNTIME DESTINATION bin
 )
