=== debian/changelog ===
timg (1.4.5-1+deb12u1) bookworm; urgency=medium

  * Cherry-pick upstream fix for CVE-2023-40968 (Closes: #1051231)

 -- Tobias Frost <tobi@debian.org>  Sat, 09 Sep 2023 19:07:01 +0200

timg (1.4.5-1) unstable; urgency=medium

  [ Tobias Frost ]
  * New upstream version 1.4.5
  * Add patch to be able to use packaged libqoi and use it.
  * Update debian/copyright with new upstream release.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Tobias Frost <tobi@debian.org>  Wed, 30 Nov 2022 20:09:18 +0100
