=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: timg
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tobias Frost <tobi@debian.org>
+Maintainer: Tobias Frost <tobi@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libavdevice-dev,
@@ -10,11 +9,12 @@
                libgraphicsmagick++-dev,
                libopenslide-dev,
                libpng-dev,
+               libqoi-dev,
                libswscale-dev,
                libturbojpeg-dev,
                pandoc,
                pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/hzeller/timg
 Vcs-Browser: https://salsa.debian.org/debian/timg
 Vcs-Git: https://salsa.debian.org/debian/timg.git
