## timg 1.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.10)
 
-project(timg VERSION 1.4.5 LANGUAGES CXX)
+project(timg VERSION 1.5.2 LANGUAGES CXX)
 
 option(WITH_VIDEO_DECODING "Enables video decoding feature" ON)
 option(WITH_VIDEO_DEVICE "Enables reading videos from devices e.g. v4l2 (requires WITH_VIDEO_DECODING)" ON)
@@ -11,6 +11,7 @@
 option(WITH_GRAPHICSMAGICK "Enable general image loading with Graphicsmagick. You typically want this." ON)
 option(WITH_TURBOJPEG "Optimized JPEG loading. You typically want this." ON)
 option(WITH_TERMINAL_QUERY "Query terminals for availability of kitty/iterm capabilities and background color. If not compiled in, choose with -p (pixelation) and -b (background)" ON)
+option(WITH_LIBSIXEL "Provide sixel output which is supported by some older terminals such as xterm" ON)
 
 option(WITH_STB_IMAGE "Use STB image, a self-contained albeit limited image loading and lower quality. Use if WITH_GRAPHICSMAGICK is not possible and want to limit dependencies. Default on to be used as fallback." ON)
 
@@ -30,7 +31,16 @@
   include(GetGitRevisionDescription)
 endif()
 
-pkg_check_modules(ZLIB REQUIRED IMPORTED_TARGET zlib)
+# Ubuntu 20.04 does not provide pkg-config, so use find_library() as fallback
+pkg_check_modules(LIBDEFLATE_PKGCONFIG IMPORTED_TARGET libdeflate)
+if (NOT LIBDEFLATE_PKGCONFIG_FOUND)
+  find_library(LIBDEFLATE_LIBRARY NAMES deflate)
+  message("Manual libdeflate lookup ${LIBDEFLATE_LIBRARY}")
+endif()
+
+if(WITH_LIBSIXEL)
+  pkg_check_modules(LIBSIXEL REQUIRED IMPORTED_TARGET libsixel)
+endif()
 
 if(WITH_TURBOJPEG)
   pkg_check_modules(TURBOJPEG REQUIRED IMPORTED_TARGET libturbojpeg)
