=== src/CMakeLists.txt ===
--- 
+++ 
@@ -15,10 +15,19 @@
   timg-base64.h
   timg-png.h        timg-png.cc
   timg-time.h
+  timg-help.h       timg-help.cc
   unicode-block-canvas.h unicode-block-canvas.cc
 )
 
-target_link_libraries(timg PkgConfig::ZLIB Threads::Threads)
+target_link_libraries(timg Threads::Threads)
+
+if (LIBDEFLATE_PKGCONFIG_FOUND)
+  target_link_libraries(timg PkgConfig::LIBDEFLATE_PKGCONFIG)
+else()
+  # Use fallback.
+  target_link_libraries(timg ${LIBDEFLATE_LIBRARY})
+endif()
+
 target_include_directories(timg PRIVATE ${CMAKE_BINARY_DIR}/src)
 
 target_compile_features(timg PRIVATE cxx_std_14)
@@ -37,6 +46,12 @@
 if(WITH_TERMINAL_QUERY)
   target_sources(timg PUBLIC term-query.h term-query.cc)
   target_compile_definitions(timg PUBLIC WITH_TIMG_TERMINAL_QUERY)
+endif()
+
+if(WITH_LIBSIXEL)
+  target_sources(timg PUBLIC sixel-canvas.h sixel-canvas.cc)
+  target_compile_definitions(timg PUBLIC WITH_TIMG_SIXEL)
+  target_link_libraries(timg PkgConfig::LIBSIXEL)
 endif()
 
 if(WITH_GRAPHICSMAGICK)
@@ -77,29 +92,42 @@
 endif()
 
 if(WITH_STB_IMAGE)
+  include(CheckIncludeFileCXX)
+  CHECK_INCLUDE_FILE_CXX(stb/stb_image.h HAVE_STB)
   target_sources(timg PUBLIC stb-image-source.h stb-image-source.cc)
+  if(NOT HAVE_STB)
+    message("--> Using STB from third_party/ instead")
+    target_include_directories(timg PRIVATE ${CMAKE_SOURCE_DIR}/third_party)
+  endif()
   target_compile_definitions(timg PUBLIC WITH_TIMG_STB)
 endif()
 
 if(WITH_QOI_IMAGE)
+  include(CheckIncludeFileCXX)
+  CHECK_INCLUDE_FILE_CXX(qoi.h HAVE_QOI)
   target_sources(timg PUBLIC qoi-image-source.h qoi-image-source.cc)
+  if(NOT HAVE_QOI)
+    message("--> Using OTB from third_party/ instead")
+    target_include_directories(timg PRIVATE ${CMAKE_SOURCE_DIR}/third_party/qoi)
+  endif()
   target_compile_definitions(timg PUBLIC WITH_TIMG_QOI)
   target_link_libraries(timg
     PkgConfig::AVUTIL
     PkgConfig::SWSCALE)
 endif()
 
-install(TARGETS timg
-  RUNTIME DESTINATION bin
-)
+# We always take the manpage from the checkout currently so that we don't
+# require pandoc to build.
+add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/timg-manpage.inc
+  COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/create-manpage-inc.sh" ${CMAKE_CURRENT_SOURCE_DIR}/../man/timg.1 ${CMAKE_CURRENT_BINARY_DIR}/timg-manpage.inc
+    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/../man/timg.1
+    WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
+    COMMENT "Generating builtin manpage")
+add_custom_target(builtin-manpage DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/timg-manpage.inc)
 
-# Local debian package creation until available natively in Debian.
-# Use
-#   cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr ../
-#   cpack
-SET(CPACK_GENERATOR "DEB")
-SET(CPACK_DEBIAN_PACKAGE_MAINTAINER "henner.zeller+unsupported-timg-deb@gmail.com")
-SET(CPACK_DEBIAN_PACKAGE_DESCRIPTION "A terminal image and video viewer.")
-SET(CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://timg.sh/")
-SET(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
-INCLUDE(CPack)
+# Currently disabled. The ancient `man` command on MacOS is misbehaving, so
+# for now, it is checked into the repo at src/timg-manpage.inc
+#add_dependencies(timg builtin-manpage)
+
+
+install(TARGETS timg RUNTIME DESTINATION bin)
