=== debian/changelog ===
timg (1.5.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:24:55 +1100

timg (1.5.2-1build1) noble; urgency=high

  * No change rebuild against libgraphicsmagick++-q16-12t64,
    libgraphicsmagick-q16-3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:57:11 +0100

timg (1.5.2-1) unstable; urgency=medium

  * New upstream release. This fixes CVE-2023-40968 (Closes: #1051231)
    - Drop patch, applied upstream.
    - B-D on libdeflate-dev and libsixel-dev, as utilized by the new version.
    - Update d/clean, as third party code has been rearranged.
  * Update d/copyright due to rearrangment of code and a new has started.

 -- Tobias Frost <tobi@debian.org>  Sat, 09 Sep 2023 18:45:17 +0200
