=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: timg
 Section: graphics
 Priority: optional
-Maintainer: Tobias Frost <tobi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tobias Frost <tobi@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libavdevice-dev,
+               libdeflate-dev,
                libexif-dev,
                libgraphicsmagick++-dev,
                libopenslide-dev,
                libpng-dev,
                libqoi-dev,
+               libsixel-dev,
                libswscale-dev,
                libturbojpeg-dev,
                pandoc,
