=== src/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,8 @@
   kitty-canvas.h    kitty-canvas.cc
   renderer.h        renderer.cc
   terminal-canvas.h terminal-canvas.cc
-  termutils.h       termutils.cc
+  utils.h           utils.cc
+  term-query.h      term-query.cc
   thread-pool.h
   timg-base64.h
   timg-png.h        timg-png.cc
@@ -30,7 +31,7 @@
 
 target_include_directories(timg PRIVATE ${CMAKE_BINARY_DIR}/src)
 
-target_compile_features(timg PRIVATE cxx_std_14)
+target_compile_features(timg PRIVATE cxx_std_17)
 
 if(TIMG_VERSION_FROM_GIT)
   git_describe(GIT_DESCRIBE_VERSION)
@@ -43,10 +44,6 @@
 
 configure_file(timg-version.h.in timg-version.h)
 
-if(WITH_TERMINAL_QUERY)
-  target_sources(timg PUBLIC term-query.h term-query.cc)
-  target_compile_definitions(timg PUBLIC WITH_TIMG_TERMINAL_QUERY)
-endif()
 
 if(WITH_LIBSIXEL)
   target_sources(timg PUBLIC sixel-canvas.h sixel-canvas.cc)
@@ -55,9 +52,21 @@
 endif()
 
 if(WITH_GRAPHICSMAGICK)
-  target_sources(timg PUBLIC image-display.h image-display.cc)
+  target_sources(timg PUBLIC graphics-magick-source.h graphics-magick-source.cc)
   target_compile_definitions(timg PUBLIC WITH_TIMG_GRPAPHICSMAGICK)
   target_link_libraries(timg PkgConfig::GRAPHICSMAGICKXX)
+endif()
+
+if(WITH_RSVG)
+  target_sources(timg PUBLIC svg-image-source.h svg-image-source.cc)
+  target_compile_definitions(timg PUBLIC WITH_TIMG_RSVG)
+  target_link_libraries(timg PkgConfig::RSVG PkgConfig::CAIRO)
+endif()
+
+if(WITH_POPPLER)
+  target_sources(timg PUBLIC pdf-image-source.h pdf-image-source.cc)
+  target_compile_definitions(timg PUBLIC WITH_TIMG_POPPLER)
+  target_link_libraries(timg PkgConfig::POPPLER PkgConfig::CAIRO)
 endif()
 
 if(WITH_TURBOJPEG)
@@ -79,7 +88,7 @@
 endif()
 
 if(WITH_VIDEO_DECODING)
-  target_sources(timg PUBLIC video-display.h video-display.cc)
+  target_sources(timg PUBLIC video-source.h video-source.cc)
   target_compile_definitions(timg PUBLIC WITH_TIMG_VIDEO)
   target_link_libraries(timg
     PkgConfig::LIBAV
@@ -92,12 +101,17 @@
 endif()
 
 if(WITH_STB_IMAGE)
+  # STB usuall does not come with pkg-config. Just check if we see the include
   include(CheckIncludeFileCXX)
   CHECK_INCLUDE_FILE_CXX(stb/stb_image.h HAVE_STB)
   target_sources(timg PUBLIC stb-image-source.h stb-image-source.cc)
   if(NOT HAVE_STB)
     message("--> Using STB from third_party/ instead")
     target_include_directories(timg PRIVATE ${CMAKE_SOURCE_DIR}/third_party)
+  endif()
+  CHECK_INCLUDE_FILE_CXX(stb/stb_image_resize2.h STB_RESIZE_VERSION2)
+  if(STB_RESIZE_VERSION2)
+    target_compile_definitions(timg PUBLIC STB_RESIZE_VERSION2)
   endif()
   target_compile_definitions(timg PUBLIC WITH_TIMG_STB)
 endif()
@@ -107,7 +121,7 @@
   CHECK_INCLUDE_FILE_CXX(qoi.h HAVE_QOI)
   target_sources(timg PUBLIC qoi-image-source.h qoi-image-source.cc)
   if(NOT HAVE_QOI)
-    message("--> Using OTB from third_party/ instead")
+    message("--> Using QOI from third_party/ instead")
     target_include_directories(timg PRIVATE ${CMAKE_SOURCE_DIR}/third_party/qoi)
   endif()
   target_compile_definitions(timg PUBLIC WITH_TIMG_QOI)
