=== debian/changelog ===
timg (1.6.0-1build2) plucky; urgency=medium

  * Rebuild against latest libjpeg-turbo

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 19 Nov 2024 17:39:27 -0500

timg (1.6.0-1build1) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:28:49 +0200

timg (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Add required B-Ds for new upstream featureas: libpoppler and librsvg2
  * Bump S-V to 4.7.0 -- no changes required.
  * Change obsolete B-D pkg-config to pkgconf

 -- Tobias Frost <tobi@debian.org>  Sat, 20 Apr 2024 11:51:07 +0200
