=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: timg
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tobias Frost <tobi@debian.org>
+Maintainer: Tobias Frost <tobi@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libavdevice-dev,
                libdeflate-dev,
                libexif-dev,
+               libpoppler-glib-dev,
                libgraphicsmagick++-dev,
                libopenslide-dev,
                libpng-dev,
                libqoi-dev,
                libsixel-dev,
+               librsvg2-dev,
                libswscale-dev,
                libturbojpeg-dev,
                pandoc,
-               pkg-config
-Standards-Version: 4.6.1
+               pkgconf
+Standards-Version: 4.7.0
 Homepage: https://github.com/hzeller/timg
 Vcs-Browser: https://salsa.debian.org/debian/timg
 Vcs-Git: https://salsa.debian.org/debian/timg.git
