## timg 1.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.10)
 
-project(timg VERSION 1.6.0 LANGUAGES CXX)
+project(timg VERSION 1.6.3 LANGUAGES CXX)
 
 option(WITH_VIDEO_DECODING "Enables video decoding feature" ON)
 option(WITH_VIDEO_DEVICE "Enables reading videos from devices e.g. v4l2 (requires WITH_VIDEO_DECODING)" ON)
@@ -48,8 +48,6 @@
 if(WITH_TURBOJPEG)
   pkg_check_modules(TURBOJPEG REQUIRED IMPORTED_TARGET libturbojpeg)
   pkg_check_modules(EXIF REQUIRED IMPORTED_TARGET libexif)
-  pkg_check_modules(AVUTIL REQUIRED IMPORTED_TARGET libavutil)
-  pkg_check_modules(SWSCALE IMPORTED_TARGET REQUIRED libswscale)
 endif()
 
 if(WITH_GRAPHICSMAGICK)
@@ -68,8 +66,6 @@
 
 if(WITH_OPENSLIDE_SUPPORT)
   pkg_check_modules(OPENSLIDE IMPORTED_TARGET REQUIRED openslide)
-  pkg_check_modules(AVUTIL REQUIRED IMPORTED_TARGET libavutil)
-  pkg_check_modules(SWSCALE IMPORTED_TARGET REQUIRED libswscale)
 endif()
 
 if(WITH_VIDEO_DECODING)
@@ -81,12 +77,6 @@
   endif()
 endif()
 
-# TODO: allow for fallback if that is not available.
-if(WITH_QOI_IMAGE)
-  pkg_check_modules(AVUTIL REQUIRED IMPORTED_TARGET libavutil)
-  pkg_check_modules(SWSCALE IMPORTED_TARGET REQUIRED libswscale)
-endif()
-
 find_package(Threads)
 
 add_subdirectory(src)
