=== debian/changelog ===
timg (1.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright. 
  * Bump S-V to 4.7.2 -- no changes required.

 -- Tobias Frost <tobi@debian.org>  Sun, 12 Oct 2025 09:56:47 +0200
