=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libturbojpeg-dev,
                pandoc,
                pkgconf
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/hzeller/timg
 Vcs-Browser: https://salsa.debian.org/debian/timg
 Vcs-Git: https://salsa.debian.org/debian/timg.git
