=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DTIMG_VERSION_FROM_GIT=Off \
+	dh_auto_configure -- -DTIMG_VERSION_FROM_GIT=Off -DWITH_OPENSLIDE_SUPPORT=On \
 		-DDISTRIBUTION_VERSION="(Debian package $(DEB_VERSION))"
 
 override_dh_installdocs:
